# URL Shortener

*URL Shortener* ist eine grafische Oberfläche für [Kutt](https://github.com/thedevs-network/kutt), um [Kurzlinks](https://de.wikipedia.org/wiki/Kurz-URL-Dienst) zu beliebigen URLs zu erzeugen.

## Anwendung

### Ersteinrichtung

In der Konfigurationsdatei `~/.urlshortener` werden die URL der Kutt-Instanz sowie der API-KEY gespeichert.

![](img/Setup.png)

### Kurzlink erzeugen

- **URL** (obligatorisch): Eine beliebige URL einer existierenden Webseite, für die ein Kurzlink erzeugt werden soll. Befindet sich in der Zwischenablage eine URL, so wird sie hier automatisch eingefügt.

- **Kurzlink** (optional): Frei wählbar oder zufällig erzeugt.

- **Wiederverwendung** (obligatorisch): Existiert bereits ein Kurzlink zu der URL, dann wird bei *true* kein neuer Kurzlink erzeugt, bei *false* wohl.

- **Verfallszeit** (optional): Der Kurzlink wird gelöscht, wenn die Verfallszeit abgelaufen ist: ***5m*** für *5 Minuten*, ***2h*** für *2 Stunden*, ***30d*** für *30 Tage*.

- **Passwort** (optional): Beim Aufruf des Kurzlinks wird nach einem Passwort gefragt.

- **Beschreibung** (optional): Die Beschreibung wird in der Weboberfläche von Kutt angezeigt.

![](img/Options.png)

## Installation

Folgende Programme müssen installiert sein, damit *URL Shortener* ordnungsgemäss funktionieren kann:

- bash

- yad

- jq

- curl

- notify-send

- xclip

